/*{ TemplateName::.c ************************************************
 
 Empty template for new c-files.
 Copy and adapt to your needs.
 
}*/

#include "example_usart.h"

//{ Global variables *************************************************

ttc_usart_generic_t       USART_Generic;  // architecture independent USART configuration
ttc_usart_architecture_u  USART_Arch;     // architecture specific USART configuration
#define USART_INDEX 1                     // using first USART available on current board

//} Global variables
//{ Function definitions *************************************************

void example_usart_init() {
#ifdef PB_LED1
    initPort(PB_LED1, GPIO_Mode_Out_PP);
    portSet(PB_LED1);
#endif
    u8_t MaxUSART = ttc_getMax_USART_Index();
    Assert(MaxUSART > 0, ec_UNKNOWN);

    ttc_usart_errorcode_e Error;

    Error = ttc_getUSART_Defaults(USART_INDEX, &USART_Generic);
    Assert( Error == tue_OK, ec_UNKNOWN);

    Error = ttc_initUSART(USART_INDEX, &USART_Generic, &USART_Arch);
    Assert( Error == tue_OK, ec_UNKNOWN);
}

void example_usart_start() {
#define Size_ReceiveBuffer 20
    char ReceiveBuffer[Size_ReceiveBuffer];
    ReceiveBuffer[0] = 0;
    char* Writer = ReceiveBuffer;
    char* WriterEnd = Writer + Size_ReceiveBuffer - 1;

#ifdef PB_LED1
    portClr(PB_LED1);
#endif
    while (1) {
#ifdef PB_LED1
        portSet(PB_LED1);
#endif
        ttc_sendASCII(USART_INDEX, "Hello, talk to me!\n\0", -1);
#ifdef PB_LED1
        portClr(PB_LED1);
#endif
        while (stm32_readByte(USART_INDEX, Writer, 300000) == tue_OK) { // process all incoming bytes
            if ( (*Writer == 10) ||    // linefeed found
                 (Writer == WriterEnd) // buffer full
               )
            {
                *Writer = 0;            // terminate string
                Writer = ReceiveBuffer; // back to start of buffer
                ttc_sendASCII(USART_INDEX, "You said '\0", -1);
                ttc_sendASCII(USART_INDEX, ReceiveBuffer, Size_ReceiveBuffer);
                ttc_sendASCII(USART_INDEX, "'\n\0", -1);
            }
            else
                Writer++;
        }
    }
}

//} Function definitions
