#ifndef EXAMPLE_USART_H
#define EXAMPLE_USART_H

/*{ example_usart.h ************************************************
 
                       The ToolChain
                       
 Example code demonstrating how to use 
 Universal Synchronous Asynchronous Receiver Transmitter (USART)
 
 written by Gregor Rebel 2012
 
}*/
//{ Defines/ TypeDefs ****************************************************


//} Defines
//{ Includes *************************************************************

 // Basic set of helper functions
#include "stm32_io.h"
#include "ttc_usart.h"
//? #include <stdlib.h>

#define USE_STDPERIPH_DRIVER
#include "stm32f10x.h"
#include "core_cm3.h"        // StdPeripheralsLibrary/CMSIS/CM3/CoreSupport/
#include "stm32f10x_conf.h"

#include "ttc_usart.h"

/*{ optional
// ADC
#include "stm32f10x_adc.h"
#include "stm32f10x_dma.h"

// Timers
#include "stm32f10x_tim.h"

#include "stm32f10x_it.h"
#include "system_stm32f10x.h"
}*/

#include "bits.h"

#include <string.h>
#include "FreeRTOS.h"
#include "task.h"

//} Includes
//{ Structures/ Enums ****************************************************

//} Structures/ Enums
//{ Global Variables *****************************************************



//} Global Variables
//{ Function prototypes **************************************************

/* Call before example_usart_start() to initialize hardware.
 */
void example_usart_init();

/* initializes + starts USART example
 */
void example_usart_start();


//} Function prototypes

#endif //EXAMPLE_USART_H
