#!/bin/bash

ExtensionsActive=`ls extensions.active/makefile.*`
if [ "$ExtensionsActive" == ""  ]; then
  echo "$0 - no extensions active: activating basic setup"

  # golden rule: start to activate lower ranks first:
  # activate.000_XXX.sh
  # activate.100_XXX.sh
  # ...
  
  # activate basic setup
  activate.000_basic_extensions_basic_setup.sh QUIET
  
  # activate your board 
  # You may check all activate.100_board_XXX.sh to find the corresponding script for your board.
  # In case your board is not listed, create a copy of the nearest
  # ~/Source/ToolChain_STM32/ToolChain/install_.sh to create an extension for your board.
  # activate.100_board_mini_stm32_v30.sh QUIET
  # activate.100_board_olimex_h103.sh QUIET  
  # activate.100_board_olimex_h107.sh QUIET  
  # activate.100_board_olimex_lcd.sh QUIET  
  # activate.100_board_olimex_p103.sh QUIET  
  activate.100_board_olimex_p107.sh QUIET    
  
  # board has activated CPU + Std Peripherals Library
  # activate certain .c-files of Std Peripherals Library
  activate.250_stm_std_peripherals__i2c.sh QUIET
  activate.250_stm_std_peripherals__dma.sh QUIET
  activate.250_stm_std_peripherals__nvic.sh QUIET

  # Communication Application Peripheral Library is on top of std peripherals library
  # activate certain .c-files of CPAL
  activate.270_CPAL_STM32_CPAL_Driver.sh QUIET
  activate.270_CPAL_STM32_CPAL_Driver__cpal_i2c.sh QUIET

  # most simple example (should work on any board that defines PB_LED1, PB_LED2)  
  activate.600_example_leds.sh QUIET

  cd extensions.active/
  ln -s ../extensions.local/makefile.700_extra_settings .
  cd ..
else
  echo "$0 - extension setup found: not changing extensions.active/"
fi
