#!/bin/bash

CMD="openocd $@"
$CMD >openocd.log 2>&1
Error=`grep "Error: " openocd.log`
if [ "$Error" != "" ]; then
  source _/interface.cfg
  echo "> $CMD"
  echo ""
  cat openocd.log
  echo ""
  if [ "$Interface" != "" ]; then
    echo "ERROR: Cannot connect via interface $Interface!";
  else
    echo "ERROR: No Interface defined. Check file _/interface.cfg for available interfaces!"
    return 6
  fi
  cat <<END_OF_MSG
  
       Possible Solutions:
       - Check cabling PC <-> Programmer <-> Board <-> uC
       - Make sure that programmer has been recognized as USB device ( lsusb )
       - configure file `pwd`_/interface.cfg according to your JTAG-programmer (compare to lsusb output)!
END_OF_MSG
  return 5
fi
return 0